// creator  : weidu.exe (version 23100)
// argument : X#MASTE.DLG
// game		 : .
// source	 : ./override/X#MASTE.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~X#MASTE~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #113384 /* ~Hail, O fairest of all ladies.
<CHARNAME>, two men vie for thy heart.
They summoned me, a Master of Challenges
A Herald of Hearts, a Judge of Love
To arbitrate between the three of ye.
This humble servant is at thy disposal.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #113385 /* ~*He bows with a flourish*~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #113386 /* ~Ajantis of Waterdeep and Coran of Tethir
Swear to obey my command, Mistress,
And thy choice. I can see, fair Lady,
That thou art worthy of their rivalry,
For thy beauty equals thy sagacity.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #113387 /* ~Dost thou wish for me to set
A Challenge for thy suitors
To prove their love and fealty? ~ */
  IF ~~ THEN REPLY #113388 /* ~May I know the rules of engagement before proceeding, O Master of Challenges?~ */ DO ~SetGlobal("X#AjantisCoranChallenge","GLOBAL",1)
~ GOTO 6
  IF ~  CheckStatLT(Player1,15,INT)
~ THEN REPLY #113389 /* ~Uhm, could you explain who in the Nine Hells you are, in plain tongue?~ */ DO ~SetGlobal("X#AjantisCoranChallenge","GLOBAL",1)
~ GOTO 15
  IF ~~ THEN REPLY #113390 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Ajantis already...*~ */ DO ~SetGlobal("X#AjantisCoranChallenge","GLOBAL",1)
~ GOTO 10
  IF ~~ THEN REPLY #113391 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Coran already...*~ */ DO ~SetGlobal("X#AjantisCoranChallenge","GLOBAL",1)
~ GOTO 11
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113392 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Xan already...*~ */ DO ~SetGlobal("X#AjantisCoranChallenge","GLOBAL",1)
~ GOTO 12
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
Global("X#AskAboutXan","GLOBAL",0)
~ THEN REPLY #113393 /* ~Wait! What about Xan of Evereska?~ */ DO ~SetGlobal("X#AjantisCoranChallenge","GLOBAL",1)
SetGlobal("X#AskAboutXan","GLOBAL",1)
~ GOTO 4
  IF ~~ THEN REPLY #113394 /* ~I would like thee to set a Challenge for Lord Ajantis Ilvastaar of Waterdeep and the good elf Coran of Tethyr.~ */ GOTO 16
END

IF ~~ THEN BEGIN 4 // from: 15.4 9.3 3.5
  SAY #113395 /* ~Xan of Evereska? Oh, the gentleman declined, saying, and I quote: 'It's hopeless.'~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #113396 /* ~But if your heart is given to him, My Lady, I would encourage you to announce it now, so we can forgo the challenges.~ */
  IF ~~ THEN REPLY #113388 /* ~May I know the rules of engagement before proceeding, O Master of Challenges?~ */ GOTO 6
  IF ~  CheckStatLT(Player1,15,INT)
~ THEN REPLY #113389 /* ~Uhm, could you explain who in the Nine Hells you are, in plain tongue?~ */ GOTO 15
  IF ~~ THEN REPLY #113390 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Ajantis already...*~ */ GOTO 10
  IF ~~ THEN REPLY #113391 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Coran already...*~ */ GOTO 11
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113392 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Xan already...*~ */ GOTO 12
  IF ~~ THEN REPLY #113394 /* ~I would like thee to set a Challenge for Lord Ajantis Ilvastaar of Waterdeep and the good elf Coran of Tethyr.~ */ GOTO 16
END

IF ~~ THEN BEGIN 6 // from: 15.0 5.0 3.0
  SAY #113397 /* ~There are challenges of wit and strength that I have prepared for thy suitors, My Lady. None of them real, none of them harmful; they all are but a product of my own imagination and that of thy suitor. Thou wouldst be engaged into their dream, and participate or stand by to watch, as required. Once thou hast become engaged, 'twould appear no different from reality.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #113398 /* ~The total of challenges are four, as there are four worldly elements, four corners of the world, and four is how many 'twere paid for.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #113399 /* ~After each challenge, I shall ask thee to make thy choice. If thine heart is unclear to thee, we shall try again. If thou would'st not set thy heart on one of the gentlemen after the four challenges, they both agreed to discontinue their courtship. Neither of them shall attempt to sway thy mind until all four challenges art done.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #113400 /* ~Dost thou wish to set a challenge now, Lady <CHARNAME>?~ */
  IF ~~ THEN REPLY #113401 /* ~There is no need to set a challenge, Master. I know where my heart lies, and it belongs to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113402 /* ~There is no need to set a challenge, Master. I know where my heart lies, and it belongs to  Coran.~ */ GOTO 11
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113392 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Xan already...*~ */ GOTO 12
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
Global("X#AskAboutXan","GLOBAL",0)
~ THEN REPLY #113393 /* ~Wait! What about Xan of Evereska?~ */ DO ~SetGlobal("X#AskAboutXan","GLOBAL",1)
~ GOTO 4
  IF ~~ THEN REPLY #113394 /* ~I would like thee to set a Challenge for Lord Ajantis Ilvastaar of Waterdeep and the good elf Coran of Tethyr.~ */ GOTO 16
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
END

IF ~~ THEN BEGIN 10 // from: 29.0 28.6 26.6 22.6 20.6 16.8 15.1 9.0 5.2 3.2
  SAY #113404 /* ~The Lady <CHARNAME> had declared her decision! She will entertain the suit of Lord Ajantis Ilvastaar of Waterdeep. Coran of Tethyr, as per our agreement, thou shalt not seek <CHARNAME>'s favor from now on.~ */
  IF ~~ THEN DO ~SetGlobal("X#MaleChallengeDone","GLOBAL",1)
SetGlobal("X#AjantisCoranChallenge","GLOBAL",2)
SetGlobal("P#CoranRomanceInactive","GLOBAL",1)
ActionOverride("X#MASTE",EscapeArea())
ActionOverride("X#MASTE",DestroySelf())
RestParty()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 29.1 28.7 26.7 22.7 20.7 16.9 15.2 9.1 5.3 3.3
  SAY #113405 /* ~The Lady <CHARNAME> had declared her decision! She will entertain the suit of Coran of Tethyr. Lord Ajantis Ilvastaar of Waterdeep, as per our agreement, thou shalt not seek <CHARNAME>'s favor from now on.~ */
  IF ~~ THEN DO ~SetGlobal("X#MaleChallengeDone","GLOBAL",1)
SetGlobal("X#AjantisCoranChallenge","GLOBAL",2)
SetGlobal("X#AjantisRomanceActive","GLOBAL",3)
ActionOverride("X#MASTE",EscapeArea())
ActionOverride("X#MASTE",DestroySelf())
RestParty()
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 29.2 22.8 15.3 9.2 5.4 3.4
  SAY #113406 /* ~The Lady <CHARNAME> had declared her decision! Above all men, Xan of Eeverska is the dearest to her heart.  Lord Ajantis Ilvastaar of Waterdeep, my good elf Coran of Tethyr, as per our agreement, ye shall not seek <CHARNAME>'s favor from now on.~ */
  IF ~~ THEN DO ~SetGlobal("X#MaleChallengeDone","GLOBAL",1)
SetGlobal("X#AjantisCoranChallenge","GLOBAL",2)
SetGlobal("P#CoranRomanceInactive","GLOBAL",1)
SetGlobal("X#AjantisRomanceActive","GLOBAL",3)
ActionOverride("X#MASTE",EscapeArea())
ActionOverride("X#MASTE",DestroySelf())
RestParty()
~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 29.3 28.8 26.8 22.9 20.8 16.10 9.5
  SAY #113407 /* ~The Lady <CHARNAME> had declared her decision! Lord Ajantis Ilvastaar of Waterdeep, my good elf Coran of Tethyr, as per our agreement, ye shall not seek <CHARNAME>'s favor from now on.~ */
  IF ~~ THEN DO ~SetGlobal("X#MaleChallengeDone","GLOBAL",1)
SetGlobal("X#AjantisCoranChallenge","GLOBAL",2)
SetGlobal("P#CoranRomanceInactive","GLOBAL",1)
SetGlobal("X#AjantisRomanceActive","GLOBAL",3)
ActionOverride("X#MASTE",EscapeArea())
ActionOverride("X#MASTE",DestroySelf())
RestParty()
~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 29.4 22.10
  SAY #113408 /* ~The Lady <CHARNAME> had declared her decision! Lord Ajantis Ilvastaar of Waterdeep, my good elves Xan of Evereska and Coran of Tethyr, as per our agreement, ye shall not seek <CHARNAME>'s favor from now on.~ */
  IF ~~ THEN DO ~SetGlobal("X#MaleChallengeDone","GLOBAL",1)
SetGlobal("X#AjantisCoranChallenge","GLOBAL",2)
SetGlobal("P#CoranRomanceInactive","GLOBAL",1)
SetGlobal("X#AjantisRomanceActive","GLOBAL",3)
SetGlobal("X#XARomanceInactive","GLOBAL",1)
ActionOverride("X#MASTE",EscapeArea())
ActionOverride("X#MASTE",DestroySelf())
RestParty()
~ EXIT
END

IF ~~ THEN BEGIN 15 // from: 5.1 3.1
  SAY #113409 /* ~Well, Lady, it is rather simple. I make my living by settling love triangles. Ajantis and Coran, your companions, want you to decide whom you prefer. So I can set the challenges for them to perform and, upon observing them, you may decide which one is dearer to your heart.~ */
  IF ~~ THEN REPLY #113410 /* ~Can you explain the rules of engagement before proceeding, then?~ */ GOTO 6
  IF ~~ THEN REPLY #113411 /* ~After considering a while you decide against setting a Challenge. Your heart is given to Ajantis already...~ */ GOTO 10
  IF ~~ THEN REPLY #113412 /* ~After considering a while you decide against setting a Challenge. Your heart is given to Coran already...~ */ GOTO 11
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113392 /* ~*After considering a while you decide against setting a Challenge. Your heart is given to Xan already...*~ */ GOTO 12
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
Global("X#AskAboutXan","GLOBAL",0)
~ THEN REPLY #113393 /* ~Wait! What about Xan of Evereska?~ */ DO ~SetGlobal("X#AskAboutXan","GLOBAL",1)
~ GOTO 4
END

IF ~  NumTimesTalkedToGT(0)
!Global("X#FightGift","GLOBAL",2)
!Global("X#FightChallenge","GLOBAL",3)
!Global("X#FightTale","GLOBAL",3)
!Global("X#FightDragon","GLOBAL",4)
OR(4)
Global("X#FightTale","GLOBAL",0)
Global("X#FightGift","GLOBAL",0)
Global("X#FightChallenge","GLOBAL",0)
Global("X#FightDragon","GLOBAL",0)
~ THEN BEGIN 16 // from: 9.4 5.5 3.6
  SAY #113413 /* ~I have four challenges up my sleeve: the men would fight so thou could judge their skill and agility, the men would entertain thee, the men would present thee with a courting gift, and the men would save thee from a dragon. Every challenge could be selected but once! Which one should thou choose?~ */
  IF ~  Global("X#FightChallenge","GLOBAL",0)
~ THEN REPLY #113414 /* ~I would like to see the men fighting.~ */ GOTO 17
  IF ~  GlobalGT("X#FightChallenge","GLOBAL",0)
~ THEN REPLY #113414 /* ~I would like to see the men fighting.~ */ GOTO 20
  IF ~  Global("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 21
  IF ~  GlobalGT("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 22
  IF ~  Global("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 23
  IF ~  GlobalGT("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 26
  IF ~  Global("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 27
  IF ~  GlobalGT("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 28
  IF ~~ THEN REPLY #113418 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113419 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Coran.~ */ GOTO 11
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
END

IF ~~ THEN BEGIN 17 // from: 28.4 22.0 16.0
  SAY #113420 /* ~Then fight it is!~ */
  IF ~~ THEN DO ~SetGlobal("X#FightChallenge","GLOBAL",1)
~ EXIT
END

IF ~  Global("X#FightChallenge","GLOBAL",3)
~ THEN BEGIN 18 // from:
  SAY #113421 /* ~And now, Coran of Tethyr.~ */
  IF ~~ THEN DO ~SetGlobal("X#FightChallenge","GLOBAL",4)
~ EXIT
END

IF ~  Global("X#FightTale","GLOBAL",3)
~ THEN BEGIN 19 // from:
  SAY #113421 /* ~And now, Coran of Tethyr.~ */
  IF ~~ THEN DO ~SetGlobal("X#FightTale","GLOBAL",4)
~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 28.5 22.1 16.1
  SAY #113422 /* ~Ah, My Lady thou wert not paying attention. This challenge was already called. Chose another or announce thy decision.~ */
  IF ~  Global("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 21
  IF ~  Global("X#FightTale","GLOBAL",1)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 22
  IF ~  Global("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 23
  IF ~  GlobalGT("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 26
  IF ~  Global("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 27
  IF ~  GlobalGT("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 28
  IF ~~ THEN REPLY #113418 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113419 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Coran.~ */ GOTO 11
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
END

IF ~~ THEN BEGIN 21 // from: 28.0 26.0 20.0 16.2
  SAY #113423 /* ~Then entertainment it is!~ */
  IF ~~ THEN DO ~SetGlobal("X#FightTale","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 22 // from: 28.1 26.1 20.1 16.3
  SAY #113422 /* ~Ah, My Lady thou wert not paying attention. This challenge was already called. Chose another or announce thy decision.~ */
  IF ~  Global("X#FightChallenge","GLOBAL",0)
~ THEN REPLY #113414 /* ~I would like to see the men fighting.~ */ GOTO 17
  IF ~  GlobalGT("X#FightChallenge","GLOBAL",0)
~ THEN REPLY #113414 /* ~I would like to see the men fighting.~ */ GOTO 20
  IF ~  Global("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 23
  IF ~  GlobalGT("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 26
  IF ~  Global("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 27
  IF ~  GlobalGT("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 28
  IF ~~ THEN REPLY #113424 /* ~My heart is given to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113425 /* ~My heart is given to Coran ~ */ GOTO 11
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113426 /* ~My heart is given to Xan.~ */ GOTO 12
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113427 /* ~I will have you know that after all this, I have decided that I do not want any man to court me at all.~ */ GOTO 14
END

IF ~~ THEN BEGIN 23 // from: 28.2 26.2 22.2 20.2 16.4
  SAY #113428 /* ~Then a gift it is!~ */
  IF ~~ THEN DO ~SetGlobal("X#FightGift","GLOBAL",1)
~ EXTERN ~_CORANJ~ 1567
END

IF ~  Global("X#FightGift","GLOBAL",2)
~ THEN BEGIN 24 // from:
  SAY #113429 /* ~And now, Sir Ajantis of Waterdeep...~ */
  IF ~~ THEN DO ~SetGlobal("X#FightGift","GLOBAL",3)
SetGlobal("X#AjantisProtect","GLOBAL",2)
~ EXTERN ~_AJANTJ~ 1160
END

IF ~  Global("X#FightDragon","GLOBAL",4)
~ THEN BEGIN 25 // from:
  SAY #113429 /* ~And now, Sir Ajantis of Waterdeep...~ */
  IF ~~ THEN DO ~SetGlobal("X#AjantisDragon","GLOBAL",2)
SetGlobal("X#FightDragon","GLOBAL",8)
~ EXTERN ~_AJANTJ~ 1162
END

IF ~~ THEN BEGIN 26 // from: 28.3 26.3 22.3 20.3 16.5
  SAY #113422 /* ~Ah, My Lady thou wert not paying attention. This challenge was already called. Chose another or announce thy decision.~ */
  IF ~  Global("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 21
  IF ~  GlobalGT("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 22
  IF ~  Global("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 23
  IF ~  GlobalGT("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 26
  IF ~  Global("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 27
  IF ~  GlobalGT("X#FightDragon","GLOBAL",0)
~ THEN REPLY #113417 /* ~I would like to be saved from a dragon.~ */ GOTO 28
  IF ~~ THEN REPLY #113418 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113419 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Coran.~ */ GOTO 11
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
END

IF ~~ THEN BEGIN 27 // from: 26.4 22.4 20.4 16.6
  SAY #113430 /* ~My Lady has a brave heart! Why, I wonder if it would turn out that thou wouldst save a suitor from a dragon's clutches!~ */
  IF ~~ THEN EXTERN ~_CORANJ~ 1581
END

IF ~~ THEN BEGIN 28 // from: 26.5 22.5 20.5 16.7
  SAY #113422 /* ~Ah, My Lady thou wert not paying attention. This challenge was already called. Chose another or announce thy decision.~ */
  IF ~  Global("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 21
  IF ~  GlobalGT("X#FightTale","GLOBAL",0)
~ THEN REPLY #113415 /* ~I would like the men to entertain me.~ */ GOTO 22
  IF ~  Global("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 23
  IF ~  GlobalGT("X#FightGift","GLOBAL",0)
~ THEN REPLY #113416 /* ~I would like to receive a courting gift.~ */ GOTO 26
  IF ~  Global("X#FightChallenge","GLOBAL",0)
~ THEN REPLY #113414 /* ~I would like to see the men fighting.~ */ GOTO 17
  IF ~  GlobalGT("X#FightChallenge","GLOBAL",0)
~ THEN REPLY #113414 /* ~I would like to see the men fighting.~ */ GOTO 20
  IF ~~ THEN REPLY #113418 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113419 /* ~There is no need to set a challenge, Master. I know where my heart is. It is given to Coran.~ */ GOTO 11
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
END

IF ~  GlobalGT("X#FightTale","GLOBAL",0)
GlobalGT("X#FightGift","GLOBAL",0)
GlobalGT("X#FightChallenge","GLOBAL",0)
GlobalGT("X#FightDragon","GLOBAL",0)
~ THEN BEGIN 29 // from:
  SAY #113431 /* ~'Tis all my challenges, lady. What say thee? Which man hath thy heart?~ */
  IF ~~ THEN REPLY #113424 /* ~My heart is given to Ajantis.~ */ GOTO 10
  IF ~~ THEN REPLY #113425 /* ~My heart is given to Coran ~ */ GOTO 11
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113426 /* ~My heart is given to Xan.~ */ GOTO 12
  IF ~~ THEN REPLY #113403 /* ~I would have both men discontinue the courtship, for I cannot give an offense of preferring either Ajantis or Coran.~ */ GOTO 13
  IF ~  InParty("xan")
Global("X#XANMatch","GLOBAL",1)
!Global("X#XARomanceInactive","GLOBAL",1)
~ THEN REPLY #113427 /* ~I will have you know that after all this, I have decided that I do not want any man to court me at all.~ */ GOTO 14
END
